<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>DipPublication (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DipPublication (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DipPublication.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">cern.dip</a></div>
<h2 title="Interface DipPublication" class="title">Interface DipPublication</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="implementation/DipPublicationImp.html" title="class in cern.dip.implementation">DipPublicationImp</a></code>, <code><a href="implementation/DipPublicationImpBase.html" title="class in cern.dip.implementation">DipPublicationImpBase</a></code>, <code><a href="mock/MockDipPublication.html" title="class in cern.dip.mock">MockDipPublication</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">DipPublication</span></pre>
<div class="block">Interface for DIP publications. DipPublication objects are created through the DipFactoryInterface.
 This object represent's data that is available to subscribers using the DIP protocol and may be used
 by a publisher to send both primitive data types and DipData objects. The publisher will update a publication
 according to that publishers criteria (this is usually expected to be when the difference between the last value
 sent and the current value is sufficiently large).<p>
 
 All send methods take as arguments the value to be sent and the timestamp which will accompany the value.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTopicName()">getTopicName</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns Name of the publication.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(boolean%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(boolean[]&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(boolean,cern.dip.DipTimestamp)">send</a></span>&#8203;(boolean&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(byte%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(byte[]&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(byte,cern.dip.DipTimestamp)">send</a></span>&#8203;(byte&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(double%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(double[]&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(double,cern.dip.DipTimestamp)">send</a></span>&#8203;(double&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(float%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(float[]&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(float,cern.dip.DipTimestamp)">send</a></span>&#8203;(float&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(int%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(int[]&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(int,cern.dip.DipTimestamp)">send</a></span>&#8203;(int&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(long%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(long[]&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(long,cern.dip.DipTimestamp)">send</a></span>&#8203;(long&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(short%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(short[]&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(short,cern.dip.DipTimestamp)">send</a></span>&#8203;(short&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(cern.dip.DipData,cern.dip.DipTimestamp)">send</a></span>&#8203;(<a href="DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Send complex data object.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(cern.dip.DipData,cern.dip.DipTimestamp,int,java.lang.String)">send</a></span>&#8203;(<a href="DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp,
    int&nbsp;dipQuality,
    java.lang.String&nbsp;qualityReason)</code></th>
<td class="colLast">
<div class="block">Send complex data object with quality information</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(java.lang.String%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(java.lang.String[]&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(java.lang.String,cern.dip.DipTimestamp)">send</a></span>&#8203;(java.lang.String&nbsp;value,
    <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setQualityBad()">setQualityBad</a></span>()</code></th>
<td class="colLast">
<div class="block">The quality of the last sent data is set to bad.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setQualityBad(java.lang.String)">setQualityBad</a></span>&#8203;(java.lang.String&nbsp;reason)</code></th>
<td class="colLast">
<div class="block">As setQualityBad() but enables the user to pass a string to the clients explaining why there is a problem</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setQualityUncertain()">setQualityUncertain</a></span>()</code></th>
<td class="colLast">
<div class="block">The quality of the last sent data is set to uncertain.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setQualityUncertain(java.lang.String)">setQualityUncertain</a></span>&#8203;(java.lang.String&nbsp;reason)</code></th>
<td class="colLast">
<div class="block">As setQualityUncertain() but enables the user to pass a string to the clients explaining why there is a problem</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getTopicName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTopicName</h4>
<pre class="methodSignature">java.lang.String&nbsp;getTopicName()</pre>
<div class="block">Returns Name of the publication.</div>
</li>
</ul>
<a id="send(double,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(double&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(double[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(double[]&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(short,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(short&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(short[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(short[]&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(int,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(int&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(int[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(int[]&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(float,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(float&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(float[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(float[]&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(long,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(long&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(long[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(long[]&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(byte,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(byte&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(byte[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(byte[]&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(boolean,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(boolean&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(boolean[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(boolean[]&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(java.lang.String,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(java.lang.String&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(java.lang.String[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(java.lang.String[]&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(cern.dip.DipData,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(<a href="DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Send complex data object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(cern.dip.DipData,cern.dip.DipTimestamp,int,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">void&nbsp;send&#8203;(<a href="DipData.html" title="interface in cern.dip">DipData</a>&nbsp;value,
          <a href="DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp,
          int&nbsp;dipQuality,
          java.lang.String&nbsp;qualityReason)
   throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Send complex data object with quality information</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dd><code>dipQuality</code> - - the quality of the data</dd>
<dd><code>qualityReason</code> - - the reason for the data quality</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="setQualityBad()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setQualityBad</h4>
<pre class="methodSignature">void&nbsp;setQualityBad()
            throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">The quality of the last sent data is set to bad. If this causes a change to the previous 
 quality then the data (value, quality and timestamp) will be sent to all clients. 
 This quality is to be used when the data obtained from the source for the publication 
 is not valid. So instead of introducing bad data into DIP (and thus overwriting the last good
 value), the quality is set to bad, so still making the last good value available to clients who
 can make use of it.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="setQualityBad(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setQualityBad</h4>
<pre class="methodSignature">void&nbsp;setQualityBad&#8203;(java.lang.String&nbsp;reason)
            throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">As setQualityBad() but enables the user to pass a string to the clients explaining why there is a problem</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="setQualityUncertain()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setQualityUncertain</h4>
<pre class="methodSignature">void&nbsp;setQualityUncertain()
                  throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">The quality of the last sent data is set to uncertain. If this causes a change to the previous 
 quality then the data (value, quality and timestamp) will be sent to all clients.
 This quality is to be used when the data source for the publication is not reachable - thus we
 can not be certain if the value last sent is still valid.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="setQualityUncertain(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setQualityUncertain</h4>
<pre class="methodSignature">void&nbsp;setQualityUncertain&#8203;(java.lang.String&nbsp;reason)
                  throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">As setQualityUncertain() but enables the user to pass a string to the clients explaining why there is a problem</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DipPublication.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
